com.amazonaws.services.elastictranscoder.model

## Class UpdatePipelineResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.UpdatePipelineResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdatePipelineResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

When you update a pipeline, Elastic Transcoder returns the values that you specified in the request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdatePipelineResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdatePipelineResult` `clone()`
`boolean` `equals(Object obj)`
`Pipeline` `getPipeline()` The pipeline updated by this `UpdatePipelineResponse` call.
`List<Warning>` `getWarnings()` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.
`int` `hashCode()`
`void` `setPipeline(Pipeline pipeline)` The pipeline updated by this `UpdatePipelineResponse` call.
`void` `setWarnings(Collection<Warning> warnings)` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdatePipelineResult` `withPipeline(Pipeline pipeline)` The pipeline updated by this `UpdatePipelineResponse` call.
`UpdatePipelineResult` `withWarnings(Collection<Warning> warnings)` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.
`UpdatePipelineResult` `withWarnings(Warning... warnings)` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdatePipelineResult

    public UpdatePipelineResult()

### Method Detail

#### setPipeline

    public void setPipeline(Pipeline pipeline)

The pipeline updated by this `UpdatePipelineResponse` call.

Parameters:
  `pipeline` - The pipeline updated by this `UpdatePipelineResponse` call.

#### getPipeline

    public Pipeline getPipeline()

The pipeline updated by this `UpdatePipelineResponse` call.

Returns:
  The pipeline updated by this `UpdatePipelineResponse` call.

#### withPipeline

    public UpdatePipelineResult withPipeline(Pipeline pipeline)

The pipeline updated by this `UpdatePipelineResponse` call.

Parameters:
  `pipeline` - The pipeline updated by this `UpdatePipelineResponse` call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getWarnings

    public List<Warning> getWarnings()

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Returns:
  Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

#### setWarnings

    public void setWarnings(Collection<Warning> warnings)

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Parameters:
  `warnings` - Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

#### withWarnings

    public UpdatePipelineResult withWarnings(Warning... warnings)

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

NOTE: This method appends the values to the existing list (if any). Use `setWarnings(java.util.Collection)` or `withWarnings(java.util.Collection)` if you want to override the existing values.

Parameters:
  `warnings` - Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWarnings

    public UpdatePipelineResult withWarnings(Collection<Warning> warnings)

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Parameters:
  `warnings` - Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdatePipelineResult clone()

Overrides:
  `clone` in class `Object`